import { useState } from 'react';
import useEventListener from './../external/@use-it/event-listener/dist/event-listener.m.js';

function useClickOutside(callback) {
  var _a = useState(null),
      element = _a[0],
      setElement = _a[1];

  useEventListener('click', function (ev) {
    if (!(element === null || element === void 0 ? void 0 : element.contains(ev.target))) callback(ev);
  }, document, {
    capture: true
  });
  return setElement;
}

export { useClickOutside as default };
//# sourceMappingURL=useClickOutside.js.map
